com.tibbo.aggregate.common.binding

## Interface BindingProcessor

- All Known Implementing Classes:
    DefaultBindingProcessor

      public interface BindingProcessor

  BindingProcessor is tightly related to `BindingProvider`. Its implementation is an engine that executes bindings provider by a BindingProvider.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.ExecutorService` | `getExecutorService()` Returns processor's thread pool.
    `java.util.Timer` | `getTimer()` Returns processor's timer
    `boolean` | `isStopped()` Checks whether the binding processor is stopped.
    `void` | `setEnabled(boolean enabled)` Enables (resumes) or disables (pauses) a running processor.
    `boolean` | `start()` Starts the binding provider.
    `void` | `stop()` Stops the binding processor.
    `void` | `submit(java.util.concurrent.Callable task)` Submits a task to processor's thread pool.

- - ### Method Detail

    - #### start

          boolean start()

      Starts the binding provider.
      Returns:
        true if startup was successful, false otherwise

    - #### stop

          void stop()

      Stops the binding processor.

    - #### isStopped

          boolean isStopped()

      Checks whether the binding processor is stopped.
      Returns:
        true if stopped, false if running

    - #### setEnabled

          void setEnabled(boolean enabled)

      Enables (resumes) or disables (pauses) a running processor.
      Parameters:
        `enabled` - the new state

    - #### submit

          void submit(java.util.concurrent.Callable task)

      Submits a task to processor's thread pool. Can be used to add "external" work for the processor.
      Parameters:
        `task` - The task to execute

    - #### getExecutorService

          java.util.concurrent.ExecutorService getExecutorService()

      Returns processor's thread pool.
      Returns:
        The thread pool

    - #### getTimer

          java.util.Timer getTimer()

      Returns processor's timer
      Returns:
        The timer